Bug 1123599 - [abrt] sugar-toolkit-gtk3: _pygi_marshal_cleanup_to_py_array(): python2.7 killed by SIGABRT
Summary: [abrt] sugar-toolkit-gtk3: _pygi_marshal_cleanup_to_py_array(): python2.7 kil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sugar-toolkit-gtk3
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Simon Schampijer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:82b465d4be8fffee427d4bb7b38...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 03:32 UTC by David Dustan
Modified: 2015-06-29 21:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:47:14 UTC


Attachments (Terms of Use)
File: backtrace (95.70 KB, text/plain)
2014-07-27 03:32 UTC, David Dustan
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-27 03:32 UTC, David Dustan
no flags Details
File: core_backtrace (24.20 KB, text/plain)
2014-07-27 03:32 UTC, David Dustan
no flags Details
File: dso_list (25.87 KB, text/plain)
2014-07-27 03:32 UTC, David Dustan
no flags Details
File: environ (1.80 KB, text/plain)
2014-07-27 03:32 UTC, David Dustan
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-27 03:32 UTC, David Dustan
no flags Details
File: maps (116.67 KB, text/plain)
2014-07-27 03:32 UTC, David Dustan
no flags Details
File: open_fds (835 bytes, text/plain)
2014-07-27 03:32 UTC, David Dustan
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2014-07-27 03:32 UTC, David Dustan
no flags Details
File: var_log_messages (833 bytes, text/plain)
2014-07-27 03:32 UTC, David Dustan
no flags Details

Description David Dustan 2014-07-27 03:32:06 UTC
Description of problem:
Started XFCE Session. Error occured about 3 seconds after start.

Version-Release number of selected component:
sugar-toolkit-gtk3-0.100.0-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        python2 /usr/bin/sugar-activity AbiWordActivity.AbiWordActivity -b org.laptop.AbiWordActivity -a 5b07fbd3653751dc13d7f76a7480b8f6beb9e226
crash_function: _pygi_marshal_cleanup_to_py_array
executable:     /usr/bin/python2.7
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 _pygi_marshal_cleanup_to_py_array at pygi-marshal-cleanup.c:439
 #6 pygi_marshal_cleanup_args_to_py_marshal_success at pygi-marshal-cleanup.c:123
 #7 pygi_callable_info_invoke at pygi-invoke.c:659
 #8 _wrap_g_callable_info_invoke at pygi-invoke.c:675
 #9 _callable_info_call at pygi-info.c:428
 #10 PyObject_Call at /usr/src/debug/Python-2.7.5/Objects/abstract.c:2529
 #11 do_call at /usr/src/debug/Python-2.7.5/Python/ceval.c:4316
 #12 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4121
 #13 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740
 #14 fast_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4184

Potential duplicate: bug 1033879

Comment 1 David Dustan 2014-07-27 03:32:09 UTC
Created attachment 921283 [details]
File: backtrace

Comment 2 David Dustan 2014-07-27 03:32:09 UTC
Created attachment 921284 [details]
File: cgroup

Comment 3 David Dustan 2014-07-27 03:32:10 UTC
Created attachment 921285 [details]
File: core_backtrace

Comment 4 David Dustan 2014-07-27 03:32:11 UTC
Created attachment 921286 [details]
File: dso_list

Comment 5 David Dustan 2014-07-27 03:32:12 UTC
Created attachment 921287 [details]
File: environ

Comment 6 David Dustan 2014-07-27 03:32:13 UTC
Created attachment 921288 [details]
File: limits

Comment 7 David Dustan 2014-07-27 03:32:15 UTC
Created attachment 921289 [details]
File: maps

Comment 8 David Dustan 2014-07-27 03:32:16 UTC
Created attachment 921290 [details]
File: open_fds

Comment 9 David Dustan 2014-07-27 03:32:16 UTC
Created attachment 921291 [details]
File: proc_pid_status

Comment 10 David Dustan 2014-07-27 03:32:17 UTC
Created attachment 921292 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 12:29:07 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 21:47:14 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.